Retrieve the list of employee schedules
GET
/api/horarios/
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.koibox.cloud/api/horarios/"), Headers = { { "X-Koibox-Key", "<X-Koibox-Key>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}HttpRequest request = HttpRequest.newBuilder() .uri(URI.create("https://api.koibox.cloud/api/horarios/")) .header("X-Koibox-Key", "<X-Koibox-Key>") .method("GET", HttpRequest.BodyPublishers.noBody()) .build();HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());System.out.println(response.body());OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder() .url("https://api.koibox.cloud/api/horarios/") .get() .addHeader("X-Koibox-Key", "<X-Koibox-Key>") .build();
Response response = client.newCall(request).execute();import axios from 'axios';
const options = { method: 'GET', url: 'https://api.koibox.cloud/api/horarios/', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const { data } = await axios.request(options); console.log(data);} catch (error) { console.error(error);}const url = 'https://api.koibox.cloud/api/horarios/';const options = {method: 'GET', headers: {'X-Koibox-Key': '<X-Koibox-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.koibox.cloud/api/horarios/ \ --header 'X-Koibox-Key: <X-Koibox-Key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”id
integer
id__in
Array<integer>
user
integer
user__in
Array<integer>
user__isnull
A schedule can have a null user (the center’s schedule) or a null center (the employee’s schedule).
boolean
centro
integer
centro__in
Array<integer>
centro__isnull
A schedule can have a null user (the center’s schedule) or a null center (the employee’s schedule).
boolean
week
Include the leading zero, 01 represents the first week of the year.
string
week__in
Array<string>
week__isnull
The default schedule has null week and year.
boolean
year
XXXX format, for example 2025.
string
year__in
Array<string>
year__isnull
The default schedule has null week and year.
boolean
limit
integer
offset
integer
Responses
Section titled “Responses”List of requested schedules
Media typeapplication/json
object
count
integer
results
Array
object
id
Read-only
integer
created
Read-only
string format: date-time
updated
Read-only
string format: date-time
user
integer
centro
integer
week
Week number of the year to which the schedule applies, e.g. 01 is the first week. Null in the default schedule.
string
year
XXXX format, e.g. 2025. Null in the default schedule.
string
The access key has not been provided in the X-Koibox-Key header
Headers
Section titled “Headers”WWW-Authenticate
string
Indicates the required header for authentication
No valid access key has been provided
